# Enum Class Module.State

java.lang.Object
java.lang.Enum<Module.State>
org.eclipse.osgi.container.Module.State

All Implemented Interfaces:
  `Serializable, Comparable<Module.State>, Constable`

Enclosing class:
  `Module`

public static enum Module.State extends Enum<Module.State>
An enumeration of the possible `states` a module may be in.

Since:
  3.10

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
The module is now running.
`INSTALLED`
The module is installed but not yet resolved.
`LAZY_STARTING`
The module is waiting for a `trigger` class load to proceed with starting.
`RESOLVED`
The module is resolved and able to be started.
`STARTING`
The module is in the process of starting.
`STOPPING`
The module is in the process of stopping
`UNINSTALLED`
The module is uninstalled and may not be used.

## Method Summary

Modifier and Type
Method
Description
`static Module.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTALLED

public static final Module.State INSTALLED
The module is installed but not yet resolved.

### RESOLVED

public static final Module.State RESOLVED
The module is resolved and able to be started.

### LAZY_STARTING

public static final Module.State LAZY_STARTING
The module is waiting for a `trigger` class load to proceed with starting.

### STARTING

public static final Module.State STARTING
The module is in the process of starting.

### ACTIVE

public static final Module.State ACTIVE
The module is now running.

### STOPPING

public static final Module.State STOPPING
The module is in the process of stopping

### UNINSTALLED

public static final Module.State UNINSTALLED
The module is uninstalled and may not be used.

## Method Details

### values

public static Module.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Module.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null